﻿Ext.require('App.Const.Finances');
Ext.define('App.Control.Kivii.Finances.Debiting.Payment.Selector', {
    extend: 'System.Control.EntitySelector',
    entityType: 'Kivii.Finances.Entities.Payment',
    xtype:'App.Control.Kivii.Finances.Debiting.Payment.Selector',
    dataSource: '/Restful/Kivii.Finances.Entities.Payment/InvoiceDebitQuery.json',
    filter: {},
    selModel: false,
    store: {
        autoLoad: true,
        pageSize: 50,
        sorters: [{
            property: 'OperateTime',
            direction: 'DESC'
        }]
    },
    tbar: [{
        xtype: 'searchField',
        reference: 'searchfield',
        flex: 1,
        labelWidth: 60,
        queryField: 'PayerName',
        emptyText: '模糊搜索付款单位'
    }],
    columns: [{
        xtype: 'rownumberer',
        align: 'center',
        resizable: false
    }, {
        text: '付款单位',
        dataIndex: 'PayerName',
        width: 220
    }, {
        text: '发生金额',
        align: 'right',
        dataIndex: 'Amount',
        renderer: KiviiContext.Const.FinancesFunctionsMoneyToFmoney,
        width: 110
    }, {
        text: '可用金额',
        align: 'right',
        dataIndex: 'Amount',
        renderer: '_renderAmount',
        width: 110
    }, {
        xtype: 'datecolumn',
        text: '发生日期',
        format: 'Y-m-d H:m',
        dataIndex: 'OperateTime',
        width: 150
    }, {
        text: '付款银行',
        dataIndex: 'PayerAccountName',
        width: 280
    }, {
        text: '付款账号',
        dataIndex: 'PayerAccountSerialNumber',
        width: 180

    }, {
        text: '摘要',
        dataIndex: 'Summary',
        width: 150
    }, {
        text: '备注',
        dataIndex: 'Remark',
        flex: 1
    }],
    controller: {
        _renderAmount: function(_value, _meta, _record, _rowIndex) {
            let _canBeUsedAmount = _value - _record.data.AmountInvoice;
            _meta.style = 'background-color:#B4EEB4';
            return KiviiContext.Const.FinancesFunctionsMoneyToFmoney(_canBeUsedAmount);
        }
    }
});